Subject: [PATCH v4] ARM: sun7i: add support for A20-OLinuXino-Lime2

From: [email-masked] (Andreas Färber)
Date: Sat, 11 Oct 2014 16:00:17 +0200

Am 10.10.2014 um 15:56 schrieb Maxime Ripard:
> On Fri, Oct 10, 2014 at 02:15:48PM +0100, Iain Paton wrote:
>> On 09/10/14 20:56, Maxime Ripard wrote:
>>> Sorry for noticing this so late, but we sort the DT nodes by their
>>> base address. Could you respin this for another version?
>>
>> Sure, no problem, on it's way shortly.
>>
>> Is there any general rule for this sort of thing, or is this something 
>> specific to sunxi?   
>>
>> Asking mainly as I've been asked to do them alphabetically previously 
>> by a different maintainer and that's esentially why I did it the same 
>> way here.
>>
>> Everyone having different undocumented conventions seems likely to 
>> become counter productive eventually.
> 
> That's unusual, it should be a global convention at least for ARM.

>>From what I understood it's by unit address for foo at 12345678 and
alphabetically for &foo. So there is both actually, plus existing
inconsistencies. :)

Andreas

-- 
SUSE LINUX Products GmbH, Maxfeldstr. 5, 90409 N?rnberg, Germany
GF: Jeff Hawn, Jennifer Guild, Felix Imend?rffer; HRB 16746 AG N?rnberg

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 836 bytes
Desc: OpenPGP digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20141011/c5fc63c1/attachment-0001.sig>